#include <iostream>
using namespace std;
int main()
{
    int n,m;
    cin>>n>>m;
    if(n==1)
        cout<<m;
    else
        if(m==1)
        cout<<n;
    else{
    long long int a=2*(m+n-2)+(m-2)*(n-2)/2;
    cout<<a;}
    return 0;

}